# Support reloading submodules
if "bpy" in locals():
    import sys

    from . import reloader

    reloader.reload_package_modules(sys.modules[__name__])


import bpy

# Prevent loading in the background, since gpu shaders will not be available
if not bpy.app.background:
    from . import operators, preferences, startup_handlers, tools

    def register():
        preferences.register()
        operators.register()
        tools.register()
        startup_handlers.register()

    def unregister():
        preferences.unregister()
        operators.unregister()
        tools.unregister()
        startup_handlers.unregister()
else:
    register = unregister = lambda: None
